<template>
	<view class="page">
		<view class="title">
			工作内容
		</view>
		<view class="" style="margin-top: 32rpx;">
			<textarea v-model="concant" style="width: 100%;height: 70vh;" class="txt_word" placeholderClass='concant'
				placeholder="简述工作背景、曾负责的工作内容、客服过的内容、取得的工作成果.~\n\n\n具体工作为\n1.负责*** \n2.参与*** \n3.完成***"></textarea>
		</view>
		<view class="button" @click="toteach">
			保存
		</view>
	</view>
</template>

<script>
	import {

	} from "@/units/inquire.js"
	export default {
		data() {
			return {
				concant: '',
			}
		},
		onLoad(options) {
			console.log(options);
			if (options.concent) {
				this.concant = options.concent
			}
		},
		methods: {
			toteach(){
				const eventChannel = this.getOpenerEventChannel();
				eventChannel.emit('todcp', this.concant);
				uni.navigateBack()
			}
		}
	}
</script>


<style lang="scss">
	.page {
		padding: 28rpx 32rpx 0;

		.title {
			font-size: 36rpx;
			font-family: PingFangSC-Medium, PingFang SC;
			font-weight: 500;
			color: #222222;
			line-height: 50rpx;
		}

		.concant {
			font-size: 32rpx;
			font-family: PingFangSC-Regular, PingFang SC;
			font-weight: 400;
			color: #888888
		}
	}

	.button {
		width: 686rpx;
		height: 88rpx !important;
		background: #0C66C2;
		border-radius: 12rpx;
		font-size: 32rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #FFFFFF;
		line-height: 88rpx;
		margin: 10rpx 0 0rpx 0;
		display: flex;
		justify-content: center;
		position: fixed;
		bottom: 60rpx;
	}

	.setExample::after {
		content: '\A 1. \A 2. \A 3.';
		line-height: 50rpx;
	}

	.txt_word {
		word-wrap: break-word;
		white-space: pre-line
	}

	::v-deep .u-textarea {
		padding-left: 0 !important;
	}
</style>